Image Registry
# Integrate Image Registry
Request
POST /openapi/system/registry
1
Body Parameter Description
| Parameter Name | Description | Type | Required |
|---|---|---|---|
address | Image registry address, must include protocol | string | Yes |
provider | Image registry provider, including the following providers:acr:Alibaba Cloud ACRtcr:Tencent Cloud TCRswr:Huawei Cloud SWRecr:Amazon ECRdockerhub:DockerHubharbor:Harbornexus:Nexusnative:Other types | string | Yes |
region | Image registry region information | string | Required when provider = ecr |
namespace | Image registry namespace | string | Yes |
is_default | Whether to set as default, only one default image registry can exist in the system | bool | Yes |
access_key | Image registry Access Key | string | Yes |
secret_key | Image registry Secret Key | string | Yes |
enable_tls | Whether to enable SSL verification | bool | No |
tls_cert | TLS certificate content | string | Required when enable_tls = true |
Body Parameter Example
{
"address": "https://*****.tencentcloudcr.com",
"provider": "tcr",
"namespace": "zadigx",
"is_default": true,
"access_key": "*********",
"secret_key": "*********",
"enable_tls": true,
"tls_cert": "*********"
}
1
2
3
4
5
6
7
8
9
10
2
3
4
5
6
7
8
9
10
Response
{
"message": "success"
}
1
2
3
2
3
# List Image Registry Information
Request
GET /openapi/system/registry
1
Success Response Description
| Parameter Name | Description | Type |
|---|---|---|
registry_id | Image registry ID | string |
address | Image registry address, must include protocol | string |
provider | Image registry provider, including the following providers:acr:Alibaba Cloud ACRtcr:Tencent Cloud TCRswr:Huawei Cloud SWRecr:Amazon ECRdockerhub:DockerHubharbor:Harbornexus:Nexusnative:Other types | string |
region | Image registry region information, meaningful when provider is ecr | string |
namespace | Image registry namespace | string |
is_default | Whether it's the default image registry. Note: only one default image registry can exist at a time | bool |
Success Response Example
[
{
"registry_id":"6308815592****995e813035",
"address": "https://****.***.tencentyun.com",
"provider": "native",
"region": "",
"namespace": "koderover-**",
"is_default": false
},
{
"registry_id":"630c7ad****30c131062e245",
"address": "https://***.tencentcloudcr.com",
"provider": "tcr",
"region": "",
"namespace": "t***",
"is_default": true
},
]
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
# Get Specified Image Registry Information
Request
GET /openapi/system/registry/:id
1
Path Parameter Description
| Parameter Name | Type | Description | Required | Default |
|---|---|---|---|---|
id | string | Image registry primary key | Yes | None |
Success Response Description
| Parameter Name | Description | Type |
|---|---|---|
registry_id | Image registry ID | string |
address | Image registry address, must include protocol | string |
provider | Image registry provider, including the following providers:acr:Alibaba Cloud ACRtcr:Tencent Cloud TCRswr:Huawei Cloud SWRecr:Amazon ECRdockerhub:DockerHubharbor:Harbornexus:Nexusnative:Other types | string |
region | Image registry region information, meaningful when provider is ecr | string |
namespace | Image registry namespace | string |
is_default | Whether it's the default image registry. Note: only one default image registry can exist at a time | bool |
Success Response Example
{
"registry_id":"6308815592****995e813035",
"address": "https://****.***.tencentyun.com",
"provider": "native",
"region": "",
"namespace": "koderover-**",
"is_default": false
}
1
2
3
4
5
6
7
8
2
3
4
5
6
7
8
# Update Specified Image Registry Information
Request
PUT /openapi/system/registry/:id
1
Path Parameter Description
| Parameter Name | Type | Description | Required | Default |
|---|---|---|---|---|
id | string | Image registry primary key | Yes | None |
Body Parameter Description
| Parameter Name | Description | Type |
|---|---|---|
registry_id | Image registry ID | string |
address | Image registry address, must include protocol | string |
provider | Image registry provider, including the following providers:acr:Alibaba Cloud ACRtcr:Tencent Cloud TCRswr:Huawei Cloud SWRecr:Amazon ECRdockerhub:DockerHubharbor:Harbornexus:Nexusnative:Other types | string |
region | Image registry region information, meaningful when provider is ecr | string |
namespace | Image registry namespace | string |
is_default | Whether it's the default image registry. Note: only one default image registry can exist at a time | bool |
Body Parameter Example
{
"registry_id":"6308815592****995e813035",
"address": "https://****.***.tencentyun.com",
"provider": "native",
"region": "",
"namespace": "koderover-**",
"is_default": false
}
1
2
3
4
5
6
7
8
2
3
4
5
6
7
8
Success Response Description
{message: "success"}
1


